import java.util.ArrayList;

public class RadixSort {
	public static void main(String[] args) {
		String[] tld = { "de", "com", "es", "net", "ch", "ee" };

		radixSort(tld);

		for (String s : tld)
			System.out.print(s + "  -  ");
	}

	public static char getChar(String str, int pos) {
		return (pos < str.length()) ? (str.charAt(pos)) : (char) 96;
	}
	
	public static void radixSort(String[] array) {
		ArrayList<String>[] buckets = (ArrayList<String>[]) new ArrayList[27];
	
		for(int i = 0; i < 3; i++) {			// Pro Stelle ein Durchgang
			for(int j = 0; j < 27; j++) {
				buckets[j] = new ArrayList<String>();
			}
	
			for(int j = 0; j < array.length; j++) {
				int bucketNumber = (int) getChar(array[j], 2 - i) - 96;
				buckets[bucketNumber].add(array[j]);
			}
	
			int k = 0;
			for(int j = 0; j < 27; j++) {
				for(String str : buckets[j]) {
					array[k++] = str;
				}
			}
		}
	}
}
